Subject: bug#5367: 23.1; gnus -- Inconsistent mml-secure-message-sign method

From: Andreas Seltenreich <[email-masked]>
Date: Thu, 06 May 2010 07:50:24 +0200

Tommi Vainikainen writes:

> currently gnus/lisp/mml-sec.el contains definitions for functions
> mml-secure-sign and mml-secure-message-sign which have equal bodies and
> description. However when comparing mml-secure-message-sign with
> mml-secure-message-* functions, one would expect that also
> mml-secure-message-sign would set signing to the entire message, not
> only current MML part. I believe that the current version is copy&paste
> error, which caused this inconsistency in the function declarations.
> Following patch fixes the problem:

Thanks - I committed your patch to the Gnus repository.  I'll leave this
bug open till the change is merged into emacs though.

Thanks,
andreas